/*
 * @(#)io.h	1.1 00/11/07
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _POSIX_IO_H
#define _POSIX_IO_H

CVMInt32
POSIXioGetLastErrorString(char *buf, CVMInt32 len);
#ifndef CVMioGetLastErrorString
#define CVMioGetLastErrorString POSIXioGetLastErrorString
#endif

char *
POSIXioReturnLastErrorString(void);
#ifndef CVMioReturnLastErrorString
#define CVMioReturnLastErrorString POSIXioReturnLastErrorString
#endif

char *
POSIXioNativePath(char *path);
#ifndef CVMioNativePath
#define CVMioNativePath POSIXioNativePath
#endif

CVMInt32
POSIXioFileType(const char *path);
#ifndef CVMioFileType
#define CVMioFileType POSIXioFileType
#endif

CVMInt32
POSIXioOpen(const char *name, CVMInt32 openMode,
	    CVMInt32 filePerm);
#ifndef CVMioOpen
#define CVMioOpen POSIXioOpen
#endif

CVMInt32
POSIXioClose(CVMInt32 fd);
#ifndef CVMioClose
#define CVMioClose POSIXioClose
#endif

CVMInt64
POSIXioSeek(CVMInt32 fd, CVMInt64 offset, CVMInt32 whence);
#ifndef CVMioSeek
#define CVMioSeek POSIXioSeek
#endif

CVMInt32
POSIXioSetLength(CVMInt32 fd, CVMInt64 length);
#ifndef CVMioSetLength
#define CVMioSetLength POSIXioSetLength
#endif

CVMInt32
POSIXioSync(CVMInt32 fd);
#ifndef CVMioSync
#define CVMioSync POSIXioSync
#endif

CVMInt32
POSIXioAvailable(CVMInt32 fd, CVMInt64 *bytes);
#ifndef CVMioAvailable
#define CVMioAvailable POSIXioAvailable
#endif

size_t
POSIXioRead(CVMInt32 fd, void *buf, CVMUint32 nBytes);
#ifndef CVMioRead
#define CVMioRead POSIXioRead
#endif

size_t
POSIXioWrite(CVMInt32 fd, const void *buf, CVMUint32 nBytes);
#ifndef CVMioWrite
#define CVMioWrite POSIXioWrite
#endif

CVMInt32
POSIXioFileSizeFD(CVMInt32 fd, CVMInt64 *size);
#ifndef CVMioFileSizeFD
#define CVMioFileSizeFD POSIXioFileSizeFD
#endif

#endif /* _POSIX_IO_H */
