/*
 * -----------------------------------------------------------------
 * MemoryScopeException.java :
 *
 * Copyright (C) 2001 TimeSys Corporation, All Rights Reserved.
 *
 * This software is subject to the terms and conditions of the
 * accompanying Common Public License in file CPLicense.  Your use
 * of this software indicates your acceptance of these terms.
 * -----------------------------------------------------------------
 */

package javax.realtime;

/** 
 * Thrown if construction of any of the wait-free queues is attempted with the ends
 * of the queues in incompatible memory areas.
 */
public class MemoryScopeException extends java.lang.Exception
{
    /**
     * A constructor for <code>MemoryScopeException</code>.
     */
	public MemoryScopeException()
	{
		super();
	}

    /**
     * A descriptive constructor for <code>MemoryScopeException</code>.
     * 
     * @param description A description of the exception.
     */
	public MemoryScopeException(String description)
	{
		super(description);
	}
}
