/*
 * -----------------------------------------------------------------
 * MarkAndSweepCollector.c :
 *
 * Copyright (C) 2001 TimeSys Corporation, All Rights Reserved.
 *
 * This software is subject to the terms and conditions of the
 * accompanying Common Public License in file CPLicense.  Your use
 * of this software indicates your acceptance of these terms.
 * -----------------------------------------------------------------
 */


#include "javax_realtime_MarkAndSweepCollector.h"

/* Declare extern here so that we don't get compile time warning.
 * If the cvm isn't compiled with the mark and sweep colector, we will
 * get linker error later, though.
 */
extern void CVMmsGetPreemptionLatency(int *ms, int *ns);

JNICALL int JNIEXPORT Java_javax_realtime_MarkAndSweepCollector_getPreemptionLatency0(
	JNIEnv *env, jobject thisObj)
{
  int millisec = 0, nanosec=0;
  CVMmsGetPreemptionLatency(&millisec, &nanosec);
  return millisec;
}
