/*
 * -----------------------------------------------------------------
 * RealtimeSystem.c  :
 *
 * Copyright (C) 2001 TimeSys Corporation, All Rights Reserved.
 *
 * This software is subject to the terms and conditions of the
 * accompanying Common Public License in file CPLicense.  Your use
 * of this software indicates your acceptance of these terms.
 * -----------------------------------------------------------------
 */


/*
 * This is the native method invocation for the RealtimeSystem
 */

#include "jni.h"
#include "jvm.h"

#include "javax_realtime_RealtimeSystem.h"
#include "../../com/timesys/CoreExtension/rtmonitoradapter.h"

JNIEXPORT void JNICALL
Java_javax_realtime_RealtimeSystem_setMaximumConcurrentLocks0(JNIEnv *env, jclass this, jint number)
{
  CVMdebugPrintf(("RealtimeSystem:maximumconcurerntlocks(%d)\n",number));
  monitorAdapterSetMaximumConcurrentLocks((int) number);
}

JNIEXPORT jint JNICALL
Java_javax_realtime_RealtimeSystem_getMaximumConcurrentLocks0(JNIEnv *env, jclass this)
{
  return (jint) monitorAdapterGetMaximumConcurrentLocks();
}

JNIEXPORT jint JNICALL
Java_javax_realtime_RealtimeSystem_getConcurrentLocksUsed0(JNIEnv *env, jclass this)
{
  return (jint) monitorAdapterGetConcurrentLocks();
}
