import javax.realtime.*;

public class SimpleSM extends RealtimeThread
{
/*	public class simpleThread extends RealtimeThread
	{
	    public void run()
	    {
	    }
	}*/

final static int memsize = 4096*512;
   public SimpleSM() {}

    public SimpleSM(MemoryArea mem)
	{
		super(null, null, null, mem, null, null);
	}

    public static void main(String args[])
    {
	ScopedMemory sm1 = new LTMemory(memsize, memsize);

		SimpleSM r = new SimpleSM(sm1); //(null, null, null, s2, null);
		r.start();
		try
		{
		r.join();
	//	Thread.sleep(2000);	
		}
		catch(Exception e) {e.printStackTrace();}

	System.out.println("After finishing everything. Allocating String again. This should be in Heap");
	String s1 = new String("I am a heap string");
	System.out.println("Allocated String \"" + s1 + "\" in MemoryArea: " + MemoryArea.getMemoryArea(s1));
    }
    
    static int runOnce = 0;

    public void run()
    {
	System.out.println(this + " Inside SimpleSM.run()");
	System.out.println(this + " Allocating a String");
	String s1 = new String("Hello there");
	System.out.println(this + " Allocated String \"" + s1 + "\" in MemoryArea: " + MemoryArea.getMemoryArea(s1));
	System.out.println(this + " Creating a new thread");
	if(runOnce == 0)
	{	
		runOnce++;
		ScopedMemory s2 = new VTMemory(memsize,memsize);
		s2.enter(new SimpleSM());
		
	}
	System.out.println(this + "Finished");
	//try
	//{
	//	Thread.sleep(0);
	//}
	//catch(Exception e) {e.printStackTrace();}
    }
}
