import javax.realtime.*;

public class mem_tester extends RealtimeThread {

    final static int BASE_PRIO=25;

    public mem_tester() {}

    public void run() {

	PriorityParameters pp;
        AbsoluteTime start = new AbsoluteTime(System.currentTimeMillis() + 
					      5000,0);
	PeriodicParameters pep = new PeriodicParameters(start, 
                                    new RelativeTime(600,0), 
				    new RelativeTime(100,0), 
				    new RelativeTime(600,0), null, null);
	mutex m=new mutex();

	test_thread thread1=new test_thread(m,1);
	test_thread thread2=new test_thread(m,2);

	PdDiv pd=new PdDiv();
	pp = new PriorityParameters(BASE_PRIO+1);
	pd.setSchedulingParameters(pp);
	pd.setReleaseParameters(pep);

	pp = new PriorityParameters(BASE_PRIO);
	thread1.setSchedulingParameters(pp);
	thread2.setSchedulingParameters(pp);

	thread1.setReleaseParameters(pep);
	thread2.setReleaseParameters(pep);
	
	thread1.start();
	thread2.start();
	pd.start();

    }

}
