import java.lang.*;
import javax.realtime.*;
import com.timesys.*;

public class changeScheduler{

    Integer lock1,lock2;
	public class simpleRTThread extends RealtimeThread
	{

	    public simpleRTThread(SchedulingParameters scheduling,
			  ReleaseParameters release)
	    {
		super(scheduling, release);
	    }

	    public void run()
	    {
		long startTime = System.currentTimeMillis();
		int i;
		for (int j=0; j<2; j++)
		    {
			for (i= 0 ;i<20; i++)
			    {
				System.out.println(getName()+":"+(System.currentTimeMillis() - startTime));
				if (!waitForNextPeriod())
				    System.out.println(getName()+" waitForNextPeriod failed");
			    }
			System.out.println("waiting for change of parameters");
			synchronized(lock1)
			    {
				lock1.notify();
			    }
			synchronized(lock2)
			    {
				try
				    {
					lock2.wait();
				    }
				catch(Exception e)
				    {
				    }
			    }
		    }
		System.out.println(getName()+": DONE!! ");
	    }
	}
    

	public static void main(String args[]){
		changeScheduler s = new changeScheduler();
		s.run();
	}

	public void run(){
	    lock1 = new Integer(0);
	    lock2 = new Integer(0);
	    System.out.println("starting");
		simpleRTThread rtt,rtt1;
		AbsoluteTime start = new AbsoluteTime(System.currentTimeMillis() + 5000,0);
		RelativeTime period = new RelativeTime(1000,0);
		RelativeTime period1 = new RelativeTime(2000,0);
		RelativeTime cost   = new RelativeTime(100,0);
		RelativeTime deadline = new RelativeTime(1000,0);
		RelativeTime cost1   = new RelativeTime(100,0);
		RelativeTime deadline1 = new RelativeTime(2000,0);
		
		PeriodicParameters sp = new PeriodicParameters(start, period, cost, deadline, null, null);

		PeriodicParameters sp1 = new PeriodicParameters(start, period1, cost1, deadline1, null, null);
	try {
		    System.out.println("About to fork the threads");
			rtt = new simpleRTThread((SchedulingParameters)null ,(ReleaseParameters)sp);
			rtt.setName("one");
			rtt.setScheduler(DMScheduler.instance());
			rtt.addToFeasibility();

			if (DMScheduler.instance().isFeasible())
			    System.out.println("FEASIBLE");
			else
			    {
				System.out.println("INFEASIBLE");
				return;
			    }
			       
			System.out.println("before start");
			rtt.start();

			System.out.println("wait for thread sleeping");
			synchronized(lock1)
			    {
				try 
				    {
					lock1.wait();
				    }
				catch(Exception e)
				    {
				    }
			    }
			PriorityParameters schedp = new PriorityParameters(15);
			rtt.setScheduler((Scheduler)PriorityScheduler.instance(),(SchedulingParameters)schedp,(ReleaseParameters) null);
			synchronized(lock2)
			    {
				lock2.notify();
			    }
	       
	}
		catch (Exception e)
		{
			System.out.println(e);
		}
	}
}
