/*
 * @(#)defs.h	1.11 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

/*
 * This file declares basic types. These are C types with the width
 * encoded in a one word name, and a mapping of Java basic types to C types.
 *
 * These types are hopefully the same on most 32-bit gcc targets.
 *
 */

#ifndef _GCC_32_BIT_DEFS_H
#define _GCC_32_BIT_DEFS_H

/*
 * Some basic C types to be used throughout the VM.
 *
 * See src/share/javavm/include/porting/defs.h for full documentation.
 *
 */

typedef long long	CVMInt64;
typedef int		CVMInt32;
typedef short		CVMInt16;
typedef signed char	CVMInt8;

typedef unsigned int	CVMUint32;
typedef unsigned short	CVMUint16;
typedef unsigned char	CVMUint8;

typedef float		CVMfloat32;
typedef double		CVMfloat64;

typedef unsigned int    CVMSize;

#endif /* _GCC_32_BIT_DEFS_H */
