/*
 * @(#)ConnectionNotFoundException.java	1.4 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

package javax.microedition.io;

import java.io.*;

/**
 * This class is used to signal that a connection target cannot be found
 *
 * @author  Nik Shaylor
 * @version 1.0 12/21/99
 */
public class ConnectionNotFoundException extends IOException {
    /**
     * Constructs a ConnectionNotFoundException with no detail message.
     * A detail message is a String that describes this particular exception.
     */
    public ConnectionNotFoundException() {
        super();
    }

    /**
     * Constructs a ConnectionNotFoundException with the specified detail message.
     * A detail message is a String that describes this particular exception.
     * @param s the detail message
     */
    public ConnectionNotFoundException(String s) {
        super(s);
    }
}
