/*
 * @(#)float_md.h	1.11 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _VXWORKS_FLOAT_MD_H
#define _VXWORKS_FLOAT_MD_H

#ifdef __i386__
#undef JAVA_COMPLIANT_f2i
#undef JAVA_COMPLIANT_f2l
#undef NAN_CHECK_f2i
#undef NAN_CHECK_f2l
#undef BOUNDS_CHECK_f2l
#endif

#ifdef __sparc__
#define NAN_CHECK_f2i
#define NAN_CHECK_f2l
#define BOUNDS_CHECK_f2l
#endif

#include "porting/ansi_c/float.h"
#include "porting/gcc_32_bit/float.h"

extern float floatRem(float, float);
#define CVMfloatRem(op1, op2) \
    floatRem((op1), (op2))

#endif /* _VXWORKS_FLOAT_MD_H */
