/*
 * @(#)int_md.h	1.5 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _VXWORKS_INT_MD_H
#define _VXWORKS_INT_MD_H

#if defined(i386) || defined(__i386__) || defined(__i386)

/* Intel idiv instruction can cause divide-by-zero exception */

#undef JAVA_COMPLIANT_DIV_REM

#endif

#ifdef __sparc__

#if defined(__sparc_v8__) || defined(__sparc_v9__)

/* gcc generates sdiv with no overflow check */

#undef JAVA_COMPLIANT_DIV_REM

#else

#define JAVA_COMPLIANT_DIV_REM

#endif
#endif

#include "porting/ansi_c/int.h"

#endif /* _VXWORKS_INT_MD_H */
