/*
 * @(#)FastSync.java	1.2 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

public class FastSync {

    private static void nullMethod() { }

    public static void main(String args[]) {
	int iterations = Integer.parseInt(args[0]);
	Object lock = new Object();
	long t0 = System.currentTimeMillis();
	for (int i = 0; i < iterations; ++i) {
	    synchronized (lock) {
	    }
	}
	long t1 = System.currentTimeMillis();
	for (int i = 0; i < iterations; ++i) {
	}
	long t2 = System.currentTimeMillis();
	for (int i = 0; i < iterations; ++i) {
	    nullMethod();
	}
	long t3 = System.currentTimeMillis();
	System.out.println("null loop " + iterations + " iterations in " +
	    (t2 - t1) + "ms");
	System.out.println("FastSync " + iterations + " iterations in " +
	    (t1 - t0 - (t2 - t1)) + "ms");
	System.out.println("nullMethod " + iterations + " iterations in " +
	    (t3 - t2 - (t2 - t1)) + "ms");
    }

}
