/*
 * @(#)ReflectionSecurity.java	1.2 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */
import java.lang.reflect.*;

/** Verify that we cannot bypass checkMemberAccess checks by
    using reflection. */

public class ReflectionSecurity {


    public static void main(String[] args) {
	try {
	    Class[] x2 = Object.class.getDeclaredClasses();
	    System.err.println("Object.getDeclaredClasses OK: " + x2);
	} catch (Exception e) {
	    e.printStackTrace();
	}
	try {
	    Class[] sig = {};
	    Method m = Class.class.getMethod("getDeclaredClasses", sig);
	    Object[] args0 = {};

	    // Method m = Object.class.getDeclaredClasses();

	    try {
		Object y = m.invoke(Object.class, args0);
		System.err.println("Reflection getDeclaredClasses OK " + y);
		System.err.println("Was java.security.manager set?");
	    } catch (InvocationTargetException e) {
		throw (Exception)e.getTargetException();
	    }
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }
}
