/*
 * This file contains label equates
 * It is generated from opcodes.list.
 * It is for use by executejava.c using gcc label arrays.
 */

#ifndef _INCLUDED_OPCODE_LABELS
#define _INCLUDED_OPCODE_LABELS

#define opc_0	opc_nop
#define opc_1	opc_aconst_null
#define opc_2	opc_iconst_m1
#define opc_3	opc_iconst_0
#define opc_4	opc_iconst_1
#define opc_5	opc_iconst_2
#define opc_6	opc_iconst_3
#define opc_7	opc_iconst_4
#define opc_8	opc_iconst_5
#define opc_9	opc_lconst_0
#define opc_10	opc_lconst_1
#define opc_11	opc_fconst_0
#define opc_12	opc_fconst_1
#define opc_13	opc_fconst_2
#define opc_14	opc_dconst_0
#define opc_15	opc_dconst_1
#define opc_16	opc_bipush
#define opc_17	opc_sipush
#define opc_18	opc_ldc
#define opc_19	opc_ldc_w
#define opc_20	opc_ldc2_w
#define opc_21	opc_iload
#define opc_22	opc_lload
#define opc_23	opc_fload
#define opc_24	opc_dload
#define opc_25	opc_aload
#define opc_26	opc_iload_0
#define opc_27	opc_iload_1
#define opc_28	opc_iload_2
#define opc_29	opc_iload_3
#define opc_30	opc_lload_0
#define opc_31	opc_lload_1
#define opc_32	opc_lload_2
#define opc_33	opc_lload_3
#define opc_34	opc_fload_0
#define opc_35	opc_fload_1
#define opc_36	opc_fload_2
#define opc_37	opc_fload_3
#define opc_38	opc_dload_0
#define opc_39	opc_dload_1
#define opc_40	opc_dload_2
#define opc_41	opc_dload_3
#define opc_42	opc_aload_0
#define opc_43	opc_aload_1
#define opc_44	opc_aload_2
#define opc_45	opc_aload_3
#define opc_46	opc_iaload
#define opc_47	opc_laload
#define opc_48	opc_faload
#define opc_49	opc_daload
#define opc_50	opc_aaload
#define opc_51	opc_baload
#define opc_52	opc_caload
#define opc_53	opc_saload
#define opc_54	opc_istore
#define opc_55	opc_lstore
#define opc_56	opc_fstore
#define opc_57	opc_dstore
#define opc_58	opc_astore
#define opc_59	opc_istore_0
#define opc_60	opc_istore_1
#define opc_61	opc_istore_2
#define opc_62	opc_istore_3
#define opc_63	opc_lstore_0
#define opc_64	opc_lstore_1
#define opc_65	opc_lstore_2
#define opc_66	opc_lstore_3
#define opc_67	opc_fstore_0
#define opc_68	opc_fstore_1
#define opc_69	opc_fstore_2
#define opc_70	opc_fstore_3
#define opc_71	opc_dstore_0
#define opc_72	opc_dstore_1
#define opc_73	opc_dstore_2
#define opc_74	opc_dstore_3
#define opc_75	opc_astore_0
#define opc_76	opc_astore_1
#define opc_77	opc_astore_2
#define opc_78	opc_astore_3
#define opc_79	opc_iastore
#define opc_80	opc_lastore
#define opc_81	opc_fastore
#define opc_82	opc_dastore
#define opc_83	opc_aastore
#define opc_84	opc_bastore
#define opc_85	opc_castore
#define opc_86	opc_sastore
#define opc_87	opc_pop
#define opc_88	opc_pop2
#define opc_89	opc_dup
#define opc_90	opc_dup_x1
#define opc_91	opc_dup_x2
#define opc_92	opc_dup2
#define opc_93	opc_dup2_x1
#define opc_94	opc_dup2_x2
#define opc_95	opc_swap
#define opc_96	opc_iadd
#define opc_97	opc_ladd
#define opc_98	opc_fadd
#define opc_99	opc_dadd
#define opc_100	opc_isub
#define opc_101	opc_lsub
#define opc_102	opc_fsub
#define opc_103	opc_dsub
#define opc_104	opc_imul
#define opc_105	opc_lmul
#define opc_106	opc_fmul
#define opc_107	opc_dmul
#define opc_108	opc_idiv
#define opc_109	opc_ldiv
#define opc_110	opc_fdiv
#define opc_111	opc_ddiv
#define opc_112	opc_irem
#define opc_113	opc_lrem
#define opc_114	opc_frem
#define opc_115	opc_drem
#define opc_116	opc_ineg
#define opc_117	opc_lneg
#define opc_118	opc_fneg
#define opc_119	opc_dneg
#define opc_120	opc_ishl
#define opc_121	opc_lshl
#define opc_122	opc_ishr
#define opc_123	opc_lshr
#define opc_124	opc_iushr
#define opc_125	opc_lushr
#define opc_126	opc_iand
#define opc_127	opc_land
#define opc_128	opc_ior
#define opc_129	opc_lor
#define opc_130	opc_ixor
#define opc_131	opc_lxor
#define opc_132	opc_iinc
#define opc_133	opc_i2l
#define opc_134	opc_i2f
#define opc_135	opc_i2d
#define opc_136	opc_l2i
#define opc_137	opc_l2f
#define opc_138	opc_l2d
#define opc_139	opc_f2i
#define opc_140	opc_f2l
#define opc_141	opc_f2d
#define opc_142	opc_d2i
#define opc_143	opc_d2l
#define opc_144	opc_d2f
#define opc_145	opc_i2b
#define opc_146	opc_i2c
#define opc_147	opc_i2s
#define opc_148	opc_lcmp
#define opc_149	opc_fcmpl
#define opc_150	opc_fcmpg
#define opc_151	opc_dcmpl
#define opc_152	opc_dcmpg
#define opc_153	opc_ifeq
#define opc_154	opc_ifne
#define opc_155	opc_iflt
#define opc_156	opc_ifge
#define opc_157	opc_ifgt
#define opc_158	opc_ifle
#define opc_159	opc_if_icmpeq
#define opc_160	opc_if_icmpne
#define opc_161	opc_if_icmplt
#define opc_162	opc_if_icmpge
#define opc_163	opc_if_icmpgt
#define opc_164	opc_if_icmple
#define opc_165	opc_if_acmpeq
#define opc_166	opc_if_acmpne
#define opc_167	opc_goto
#define opc_168	opc_jsr
#define opc_169	opc_ret
#define opc_170	opc_tableswitch
#define opc_171	opc_lookupswitch
#define opc_172	opc_ireturn
#define opc_173	opc_lreturn
#define opc_174	opc_freturn
#define opc_175	opc_dreturn
#define opc_176	opc_areturn
#define opc_177	opc_return
#define opc_178	opc_getstatic
#define opc_179	opc_putstatic
#define opc_180	opc_getfield
#define opc_181	opc_putfield
#define opc_182	opc_invokevirtual
#define opc_183	opc_invokespecial
#define opc_184	opc_invokestatic
#define opc_185	opc_invokeinterface
#define opc_186	opc_xxxunusedxxx
#define opc_187	opc_new
#define opc_188	opc_newarray
#define opc_189	opc_anewarray
#define opc_190	opc_arraylength
#define opc_191	opc_athrow
#define opc_192	opc_checkcast
#define opc_193	opc_instanceof
#define opc_194	opc_monitorenter
#define opc_195	opc_monitorexit
#define opc_196	opc_wide
#define opc_197	opc_multianewarray
#define opc_198	opc_ifnull
#define opc_199	opc_ifnonnull
#define opc_200	opc_goto_w
#define opc_201	opc_jsr_w
#define opc_202	opc_breakpoint
#define opc_203	opc_aldc_quick
#define opc_204	opc_aldc_w_quick
#define opc_205	opc_aldc_ind_quick
#define opc_206	opc_aldc_ind_w_quick
#define opc_207	opc_ldc_quick
#define opc_208	opc_ldc_w_quick
#define opc_209	opc_ldc2_w_quick
#define opc_210	opc_getfield_quick
#define opc_211	opc_putfield_quick
#define opc_212	opc_getfield2_quick
#define opc_213	opc_putfield2_quick
#define opc_214	opc_getstatic_quick
#define opc_215	opc_putstatic_quick
#define opc_216	opc_agetstatic_quick
#define opc_217	opc_aputstatic_quick
#define opc_218	opc_getstatic2_quick
#define opc_219	opc_putstatic2_quick
#define opc_220	opc_invokevirtual_quick
#define opc_221	opc_ainvokevirtual_quick
#define opc_222	opc_dinvokevirtual_quick
#define opc_223	opc_vinvokevirtual_quick
#define opc_224	opc_invokenonvirtual_quick
#define opc_225	opc_invokesuper_quick
#define opc_226	opc_invokestatic_quick
#define opc_227	opc_invokeinterface_quick
#define opc_228	opc_invokevirtualobject_quick
#define opc_229	opc_invokeignored_quick
#define opc_230	opc_new_quick
#define opc_231	opc_anewarray_quick
#define opc_232	opc_multianewarray_quick
#define opc_233	opc_checkcast_quick
#define opc_234	opc_instanceof_quick
#define opc_235	opc_invokevirtual_quick_w
#define opc_236	opc_getfield_quick_w
#define opc_237	opc_putfield_quick_w
#define opc_238	opc_nonnull_quick
#define opc_239	opc_agetfield_quick
#define opc_240	opc_aputfield_quick
#define opc_241	opc_invokestatic_checkinit_quick
#define opc_242	opc_getstatic_checkinit_quick
#define opc_243	opc_putstatic_checkinit_quick
#define opc_244	opc_agetstatic_checkinit_quick
#define opc_245	opc_aputstatic_checkinit_quick
#define opc_246	opc_getstatic2_checkinit_quick
#define opc_247	opc_putstatic2_checkinit_quick
#define opc_248	opc_new_checkinit_quick
#define opc_249	opc_exittransition
#define opc_250	opc_DEFAULT
#define opc_251	opc_DEFAULT
#define opc_252	opc_DEFAULT
#define opc_253	opc_DEFAULT
#define opc_254	opc_DEFAULT
#define opc_255	opc_DEFAULT

#endif
