/*
 * @(#)transport.h	1.12 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */
#include "transportSPI.h"
#include <jni.h>

void transport_lock(void);
void transport_unlock(void);

void transport_initialize(JNIEnv *env);
void transport_reset(void);
jint transport_startTransport(jboolean isServer, char *name, char *address);

void transport_connectionInitiated(struct Transport *t);
jint transport_handshake(void);
jint transport_receivePacket(Packet *);
jint transport_sendPacket(Packet *);
void transport_close(void);

