/*
 * -----------------------------------------------------------------
 * RK.java :
 *
 * Copyright (C) 2001 TimeSys Corporation, All Rights Reserved.
 *
 * This software is subject to the terms and conditions of the
 * accompanying Common Public License in file CPLicense.  Your use
 * of this software indicates your acceptance of these terms.
 * -----------------------------------------------------------------
 */


package com.timesys;

import java.io.*;

public class RK
{
    public static void setSelfThreadName(String name)
    {
	String clazzPrefix;
	Thread t = Thread.currentThread();


	/* try the casting from more specific to more general */
	if (t instanceof javax.realtime.NoHeapRealtimeThread)
	    clazzPrefix = new String("JN.");
	else if (t instanceof javax.realtime.RealtimeThread)
	    clazzPrefix = new String("JR.");
	else
	    clazzPrefix = new String("");

	try
	    {
		Thread.currentThread().setName(name);
		FileOutputStream outs = new FileOutputStream("/proc/rk/self/name",true);
		PrintWriter p = new PrintWriter(outs);
		
		p.print(clazzPrefix+name);
		p.close();
	    }
	catch(Exception e)
	    {
		e.printStackTrace();
	    }
    }

    public static String getSelfThreadName()
    {
	try
	    {
		String name;
		FileInputStream ins = new FileInputStream("/proc/rk/self/name");
		BufferedReader br = new BufferedReader(new InputStreamReader(ins));
		name = br.readLine();
		br.close();
		return name;
	    }
	catch(Exception e)
	    {
		e.printStackTrace();
	    }
	return null;
    }
}
