package javax.realtime;
/**
    This exception is thrown when the {@link PhysicalMemoryManager} is given
    conflicting specifications for memory.
    The conflict can be between types in an array of memory type specifiers,
    or between the specifiers and a specified base address.
*/

public class MemoryTypeConflictException extends Exception{
    public MemoryTypeConflictException(){
        super();
    }

    /**
        @param s    Detail string
    */    
    public MemoryTypeConflictException(String s){
        super(s);
    }
    
}