/*
 * @(#)doubleword_md.h	1.3 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#ifndef _LINUX_DOUBLEWORD_MD_H
#define _LINUX_DOUBLEWORD_MD_H

#if defined(i386) || defined(__i386__) || defined(__i386)
#define CAN_DO_UNALIGNED_DOUBLE_ACCESS
#define CAN_DO_UNALIGNED_INT64_ACCESS
#define HAVE_DOUBLE_BITS_CONVERSION
#define NORMAL_DOUBLE_BITS_CONVERSION
#define COPY_64_AS_INT64
#undef COPY_64_AS_DOUBLE
#undef JAVA_COMPLIANT_d2i
#undef NAN_CHECK_d2l
#undef BOUNDS_CHECK_d2l
#endif

#include "porting/ansi_c/doubleword.h"
#if defined(__GNUC__)
#include "porting/gcc_32_bit/doubleword.h"
#endif

extern double doubleRem(double, double);
#define CVMdoubleRem(op1, op2) \
    doubleRem((op1), (op2))

#endif /* _LINUX_DOUBLEWORD_MD_H */
