/*
 * @(#)net_md.h	1.5 00/11/07
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

/*
 * Machine-dependent networking definitions.
 */

#ifndef _LINUX_NET_MD_H
#define _LINUX_NET_MD_H

/* Define the functions we will override */
#define CVMnetConnect		CVMnetConnect
#define CVMnetAccept		CVMnetAccept
#define CVMnetSendTo		CVMnetSendTo
#define CVMnetSend		CVMnetSend
#define CVMnetRecvFrom		CVMnetRecvFrom
#define CVMnetRecv		CVMnetRecv
#define CVMnetTimeout		CVMnetTimeout
#define CVMnetSocketClose	CVMioClose

/*
 * Permits Linux platform use of porting/posix/posix_net_md.c
 * implementation of CVMnetGetProtoByName.
*/
#define POSIX_HAVE_GETPROTOBYNAME

#include "porting/posix/net.h"

void linuxNetInit(void);

#endif /* _LINUX_NET_MD_H */
