/*
 * @(#)globals_md.c	1.6 00/11/07
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

#include "javavm/include/porting/globals.h"
#include "javavm/include/porting/sync.h"
#include "javavm/include/porting/net.h"
#include "javavm/include/porting/io.h"
#include "porting/posix/threads.h"
#include <signal.h>

void CVMinitVMTargetGlobalState(CVMTargetGlobalState *targetState)
{
    /*
     * Initialize the target global state pointed to by 'target'.
     */
}

void CVMdestroyVMTargetGlobalState(CVMTargetGlobalState *targetState)
{
    /*
     * ... and destroy it.
     */
}

void CVMinitStaticState()
{
    /*
     * Initialize the static state for this address space
     */
    POSIXthreadInitStaticState();
    linuxSyncInit();
    linuxIoInit();
    linuxNetInit();

    sigignore(SIGPIPE);
}

void CVMdestroyStaticState()
{
    /*
     * ... and destroy it.
     */
    POSIXthreadDestroyStaticState();
}
