import java.util.Vector;

public class ClientMain
{

	public static void print_usage()
	{
		System.out.println("usage: java ClientMain <server>");
		System.out.println("server: IP addr. of the server to connect");
		System.exit(0);
	}

	public static void main(String[] arg)
	{
		if(arg.length != 1)
			print_usage();

		Vector v = new Vector(1000,1000);
		
		NetworkThread nt = new NetworkThread(arg[0]);
		MemoryThread mt = new MemoryThread(1);
		GcFood gfood = new GcFood();

		mt.recursive(v);
		
		gfood.create(gfood,10,1);

		mt.start();
		nt.start();

		while(true){
			try{
				Thread.sleep(10000);
			}
			catch(Exception e){ 
				e.printStackTrace(); 
			}
		}
	}
}
