import java.util.Vector;
import java.net.*;
import javax.realtime.*;

public class ClientMainNoHeap
{

	public static void print_usage()
	{
		System.out.println("usage: java ClientMainNoHeap <server>");
		System.out.println("server: IP addr. of the server to connect");
		System.exit(0);
	}

	public static void main(String[] arg)
	{
		if(arg.length != 1)
			print_usage();
		int val = new Integer(arg[0]).intValue();
		NetworkNoHeapThread nt = null;
		NetworkNoHeapThreadAnnon ant = null;
		Vector v = new Vector(1000,1000);
		
		try {
			ImmortalMemory im = ImmortalMemory.instance();
			if(val ==1)
				nt = (NetworkNoHeapThread)im.newInstance(Class.forName("NetworkNoHeapThread"));
			else
				ant = (NetworkNoHeapThreadAnnon)im.newInstance(Class.forName("NetworkNoHeapThreadAnnon"));
			
			MemoryThread mt = new MemoryThread(1);
			GcFood gfood = new GcFood();

			mt.recursive(v);
			gfood.create(gfood,10,1);

			mt.start();
			if(val == 1)
				nt.start();
			else
				ant.start();
		}catch(Exception e) {
			e.printStackTrace();
		}

		while(true){
			try{
				Thread.sleep(10000);
			}catch(Exception e){ 
				e.printStackTrace(); 
			}
		}
	}
}
