import javax.realtime.*;
import java.io.*;
import java.net.*;

public class NetworkNoHeapThread extends NoHeapRealtimeThread
{
	InetAddress host;
	DatagramSocket cli;
	//DatagramPacket pkt;
	String data;
	long prev, curr, PERIOD = 40, next_period;
	int diff;
	PriorityParameters pm;

	public NetworkNoHeapThread()
	{
		super(new PriorityParameters(35),new LTMemory(1000000,1000000));
		pm = new PriorityParameters(35);
		try {
			host = InetAddress.getByName("192.168.2.39");
			cli = new DatagramSocket();
			cli.connect(host,8192);
			data = new String("");
			//pkt = new DatagramPacket(data.getBytes(), data.length());
		}catch(Exception e) {
			System.err.println("err in connect / data.getBytes()");
			e.printStackTrace();
		}
		System.out.println("NetworkNoHeapThread construction done");
	}

	public void run()	
	{
		String data = new String("");
		DatagramPacket pkt = new DatagramPacket(data.getBytes(), data.length());
		
		prev = System.currentTimeMillis();
		super.setSchedulingParameters(pm);
		ScopedMemory sm1 = new LTMemory(65532,65532);
		next_period = System.currentTimeMillis() + 100;
		next_period = (next_period / 10) * 10;
		while(true){
			curr = System.currentTimeMillis();
			diff = (int)(curr - prev);
			prev = curr;
			data = data+diff;
			try {
				//DatagramPacket pkt = new DatagramPacket(data.getBytes(),0,data.length(),
				//InetAddress.getByName("192.168.2.39"),8192);
				pkt.setData(data.getBytes(),0,data.length());
				cli.send(pkt);
				sleep(40);
			}catch(Exception e) {
				System.err.println("err in Annonymous");
				e.printStackTrace();
				System.exit(0);
			}
			data = "";
		}
	}
}
