import javax.realtime.*;

public class MemStack
{
    public static void printStack()
    {
        RealtimeThread current = null;
        try
        {
            current = RealtimeThread.currentRealtimeThread();
        }
        catch(ClassCastException ce)
        {
            System.out.println("\tMemStack.printStack() called from a non realtime thread.");
            return;
        }
        System.out.println("\tMemStack.printStack() - Printing Memory stack for " + current);

        int depth = RealtimeThread.getMemoryAreaStackDepth();
        System.out.println("\tMemStack.printStack() - Depth of the stack is " + depth);
        for(int i=0; i<depth; i++)
        {
            System.out.println("\t\tStack[" + i + "] is " + RealtimeThread.getOuterMemoryArea(i));
        }
        System.out.println("\tMemStack.printStack() - Finished printing"); 
    }
}
