
import javax.realtime.*;

public class UTHeapMemory
{
    public static void main(String[] args)
    {
	System.out.println("Starting tests........");
	try
	    {
		HeapMemory heap = HeapMemory.instance();
		String s1 = new String("Hello there");
		System.out.println("**Allocating a StringBuffer through HeapMemory");
		StringBuffer s2 = (StringBuffer) heap.newInstance(Class.forName("java.lang.StringBuffer"));
		s2.append(s1);
		System.out.println("s2 = " + s2);

		System.out.println("**Allocating an array of Strings");
		String[] strs = (String[]) heap.newArray(Class.forName("java.lang.String"), 10);
		int i;
		for(i=0; i<10; i++)
		    {
			strs[i] = new String("No. " + i);
		    }
		System.out.println("strs = " + strs);
		for(i=0; i<10; i++)
		    {
			System.out.println(i + " = " + strs[i]);
		    }
	   
		
	    }
	catch(Exception e)
	    {
		e.printStackTrace();
	    } 
	
    }
}
