/* BAEventHandler - This class is a subclass of BoundAsyncEventHandler used in 
**                  in subtests of BoundAsyncEventHandlerTest.
**  		    This does NOT contain any subtests.
*/

import javax.realtime.*;
import com.timesys.*;

public class BAEventHandler extends BoundAsyncEventHandler
{
	public BAEventHandler()
	{
		super();
		System.out.println("BAEventHandler: Creating "+
				   "BoundAsyncEventHandler");
	}

	public BAEventHandler(SchedulingParameters scheduling,
			    ReleaseParameters release,
			    MemoryParameters memory,
			    MemoryArea area,
			    ProcessingGroupParameters group,
			    boolean nonheap)
	{
		super(scheduling, release, memory, area, group, nonheap);
		System.out.println("BAEventHandler: Creating "+
				   "BoundAsyncEventHandler");
	}

	public void handleAsyncEvent() {
		System.out.println("BAEventHandler: Inside the "+
				   "BAEventHandler");	
	}
}
