//package javax.realtime.calltests;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000  All Rights Reserved
 */


/*			HeapMemoryTest
 
Subtest 1:
	"public static HeapMemory instance()"
*/

import javax.realtime.*;

public class HeapMemoryTest 
{
    public static void run() 
    {
	HeapMemory hm = null;
	Object o = null;

	Tests.newTest("HeapMemoryTest");
	Tests.increment();

	/* Subtest 1:
	** Method "public static HeapMemory instance()"
	*/
	try {
	    System.out.println("HeapMemoryTest: instance()");
	    hm = HeapMemory.instance(); 
	    if( !(hm instanceof HeapMemory) )
		throw new Exception("Return object is not instanceof "+
				    "HeapMemory");
	} catch (Exception e) {
	    System.out.println("HeapMemoryTest: instance() failed");
	    Tests.fail("HeapMemory.instance()",e);
	}

	Tests.printSubTestReportTotals("HeapMemoryTest");
    }
}
