/* RTThread - generic realtime thread used by subtest 1 of the SchedulerTest
*/

import java.lang.*;
import javax.realtime.*;

public class RTThread extends RealtimeThread {

    public RTThread(SchedulingParameters scheduling,
		    ReleaseParameters release)
    {
	super(scheduling,release);
	System.out.println("RTThread: RTThread(SchedulingParameters,"+
			   "ReleaseParameters)");
    }

    public void run() {
	System.out.println("RTThread: run()");
    }
}
