/* TestReportFile - Output report file class the RTSJ API tests
*/

import java.io.*;

public class TestReportFile extends Object {

    private static File f;
    private static PrintStream rpt;

    public  TestReportFile() {
	System.out.println("TestReportFile: TestReportFile()");
	try {
	    f = new File("/tmp/CallTestsReport");

	    f.createNewFile();
	    rpt = new PrintStream( new FileOutputStream(f));
	}
	catch( IOException e ) {
	    System.out.println("Failure to create CallTestsReportFile");
	}
    }

    public void println(String s) {
	System.out.println("TestReportFile: Writing '"+s+"'");
	rpt.println(s);
    }

}
