//package javax.realtime.calltests;

/*
 * Licensed Materials - Property of IBM,
 * (c) Copyright IBM Corp. 2000  All Rights Reserved
 */


/*			UnsupportedPhysicalMemoryExceptionTest
 
Subtest 1:
	"public UnsupportedPhysicalMemoryException()"
	
Subtest 2:
	"public UnsupportedPhysicalMemoryException(java.lang.string 
	description)"	

Subtest 3
	"public UnsupportedPhysicalMemoryException(java.lang.String 
	description)" checking value of String
*/

import javax.realtime.*;

public class UnsupportedPhysicalMemoryExceptionTest 
{

    public static void run() 
    {
	UnsupportedPhysicalMemoryException upme = null;
	Object o = null;

	Tests.newTest("UnsupportedPhysicalMemoryExceptionTest");		
	Tests.increment();
		
	/* Subtest 1:
	** Constructor "public UnsupportedPhysicalMemoryException()"
	*/	
	try {
	    System.out.println("UnsupportedPhysicalMemoryExceptionTest: "+
			       "UnsupportedPhysicalMemoryException()");
	    upme = new UnsupportedPhysicalMemoryException();
	    if( !(upme instanceof UnsupportedPhysicalMemoryException) )
		throw new Exception("Return object is not instanceof "+
				    "UnsupportedPhysicalMemoryException");
	} catch (Exception e) {
	    System.out.println("UnsupportedPhysicalMemoryExceptionTest: "+
			       "UnsupportedPhysicalMemoryException() failed");
	    Tests.fail("new UnsupportedPhysicalMemoryException()",e);
	}
	
	/* Subtest 2:
	** Constructor "public UnsupportedPhysicalMemoryException(java.lang.
	** string description)"	
	*/

	Tests.increment();
	try {
	    System.out.println("UnsupportedPhysicalMemoryExceptionTest: "+
			       "UnsupportedPhysicalMemoryException(String)");
	    upme = new UnsupportedPhysicalMemoryException("ConstructorTest");
	    if( !(upme instanceof UnsupportedPhysicalMemoryException) )
		throw new Exception("Return object is not instanceof "+
				    "UnsupportedPhysicalMemoryException");
	} catch (Exception e) {
	    System.out.println("UnsupportedPhysicalMemoryExceptionTest: "+
			       "UnsupportedPhysicalMemoryException(String) "+
			       "failed");
	    Tests.fail("new UnsupportedPhysicalMemoryException(description)",
		       e);
	}

	/* Subtest 3
	** Constructor "public UnsupportedPhysicalMemoryException(java.lang.
	** String description)" checking value of String
	*/
	Tests.increment();
	try {
	    System.out.println("UnsupportedPhysicalMemoryExceptionTest: "+
			       "UnsupportedPhysicalMemoryException(String)");
	    String description = "DescriptionTest";
	    upme = new UnsupportedPhysicalMemoryException(description);
	    String upmedescription;
	    upmedescription = upme.toString();
	    if (upmedescription.length() == 0)
		throw new Exception("String description is empty");

	} catch (Exception e) {
	    System.out.println("UnsupportedPhysicalMemoryExceptionTest: "+
			       "UnsupportedPhysicalMemoryException(String) "+
			       "failed");
	    Tests.fail("new UnsupportedPhysicalMemoryException(description)",
		       e);
	}
		
	Tests.printSubTestReportTotals("UnsupportedPhysicalMemoryException"+
				       "Test");
    }
}
