import javax.realtime.*;

public class forceWFWQ
{

    WaitFreeWriteQueue q;
    private class NHRTThread extends NoHeapRealtimeThread
    {
	public NHRTThread(SchedulingParameters s, ReleaseParameters r,
			  MemoryArea a)
	{
	    super(s,r,a);
	}

	public void run()
	{
	    Data d = null;
	    int writeCount=0,i =0;
	    ImmortalMemory im = ImmortalMemory.instance();
	   
	    try
		{
		    d = new Data(); //(Data) im.newInstance(Class.forName("Data"));
		}
	    catch (Exception e)
		{
		    e.printStackTrace();
		}
	    
	    d.id = i;
	    d.data = i +10;
	    while (writeCount < 20)
		{
		    try
			{
			    if (q.write(d))
				{
				    System.out.print("wrote ");
				    System.out.println(d.id);

				}
			    else
				{
				    q.force(d);
				    System.out.print("forced ");
				    System.out.println(d.id);
				}
			    i++;
			    writeCount ++;
			    
			    d = new Data(); //(Data) im.newInstance(Class.forName("Data"));	    
			    d.id = i;
			    d.data = i +10;			    
			}
		    catch (Exception e )
			{
			    e.printStackTrace();
			}
		}
	    
	}
    }

    private class MyThread extends Thread
    {

	public void run()
	{
	    Data d;
	    int readCount = 0;
	    while (readCount < 19)
		{
		    d = (Data) q.read();
		    if (d != null)
			{
			    System.out.println("got "+d.id);
			    readCount = d.id;
			}
		    else
			System.out.println("null");
		}
	}
    }

    private class setup extends RealtimeThread implements Runnable
    {
	public setup(){}
	public setup(SchedulingParameters sp, ReleaseParameters rp,
		      MemoryParameters mp, MemoryArea ma,
		      ProcessingGroupParameters gp, java.lang.Runnable r)
	{
	    super(sp,rp,mp,ma,gp,r);
	}
 

	public void run()
	{
	    PriorityParameters p = new PriorityParameters(15);
	    
	    MyThread t = new MyThread();
	    NHRTThread nrt = new NHRTThread((SchedulingParameters)p,null,ImmortalMemory.instance());
	    nrt.setScheduler(PriorityScheduler.instance());
	    nrt.addToFeasibility();
	    
	    try
		{
		    q = new WaitFreeWriteQueue(t,nrt,10,null);
		}
	    catch (Exception e)
	    {
		e.printStackTrace();
	    }
	    t.start();
	    nrt.start();
	}
    }


    public static void main(String args[])
    {
	Data d = new Data();
	System.out.println("String tests");
	String s = new String("Hello");
	forceWFWQ t = new forceWFWQ();
	t.run();

	//	forceWFWQ t = new forceWFWQ();
	//t.run();
    }

    public void run()
    {
	setup s1 = new setup();
	setup s = new setup(null, null, null,(MemoryArea)ImmortalMemory.instance(), null, s1);
	s.start();
    }
}
