import javax.realtime.*;
import com.timesys.*;

public class DMTest
{    
    public static void main(String args[])
    {
	AbsoluteTime start = new AbsoluteTime(System.currentTimeMillis() + 5000,0);
	RelativeTime period = new RelativeTime(1000,0);
	RelativeTime period1 = new RelativeTime(2000,0);
	RelativeTime cost   = new RelativeTime(100,0);
	RelativeTime deadline = new RelativeTime(1000,0);
	RelativeTime cost1   = new RelativeTime(100,0);
	RelativeTime deadline1 = new RelativeTime(2000,0);

	RelativeTime period2 = new RelativeTime(3000,0);
	RelativeTime cost2   = new RelativeTime(100,0);
	RelativeTime deadline2 = new RelativeTime(3000,0);
	
	PeriodicParameters sp = new PeriodicParameters(start, period, cost, deadline, null, null);
	PeriodicParameters sp1 = new PeriodicParameters(start, period1, cost1, deadline1, null, null);
	PeriodicParameters sp2 = new PeriodicParameters(start, period2, cost2, deadline2, null, null);
	DPRTThread t = new DPRTThread(null,sp);
	DPRTThread t1 = new DPRTThread(null,sp1);
	DPRTThread t2 = new DPRTThread(null,sp2);

	DMScheduler scheduler = com.timesys.DMScheduler.instance();
	t.setScheduler((Scheduler)scheduler);
	t1.setScheduler((Scheduler)scheduler);
	t2.setScheduler((Scheduler)scheduler);

	t2.addToFeasibility();
	t1.addToFeasibility();
	t.addToFeasibility();

	t.start();
	t1.start();
	t2.start();
    }
}
