import java.lang.*;
import javax.realtime.*;
import com.timesys.*;

public class infeasible{

	public class simpleRTThread extends RealtimeThread
	{

	    public simpleRTThread(SchedulingParameters scheduling,
			  ReleaseParameters release)
	    {
		super(scheduling, release);
	    }

	    public void run()
	    {
		long startTime = System.currentTimeMillis();
		int i;
		for (i= 0 ;i<20; i++)
		    {
			System.out.println(getName()+":"+(System.currentTimeMillis() - startTime));
			if (!waitForNextPeriod())
			    System.out.println(getName()+" waitForNextPeriod failed");
		    }
		System.out.println(getName()+": DONE!! ");
	    }
	}
    

	public static void main(String args[]){
		infeasible s = new infeasible();
		s.run();
	}

	public void run(){
	    System.out.println("starting");
		simpleRTThread rtt,rtt1;
		AbsoluteTime start = new AbsoluteTime(System.currentTimeMillis() + 5000,0);
		RelativeTime period = new RelativeTime(1000,0);
		RelativeTime period1 = new RelativeTime(2000,0);
		RelativeTime cost   = new RelativeTime(1000,0);
		RelativeTime deadline = new RelativeTime(1000,0);
		RelativeTime cost1   = new RelativeTime(100,0);
		RelativeTime deadline1 = new RelativeTime(2000,0);
		
		PeriodicParameters sp = new PeriodicParameters(start, period, cost, deadline, null, null);

		PeriodicParameters sp1 = new PeriodicParameters(start, period1, cost1, deadline1, null, null);
	try {
		    System.out.println("About to fork the threads");
			rtt = new simpleRTThread((SchedulingParameters)null ,(ReleaseParameters)sp);
			rtt.setName("one");
			rtt.setScheduler(DMScheduler.instance());
			rtt.addToFeasibility();

			rtt1 = new simpleRTThread((SchedulingParameters)null ,(ReleaseParameters)sp1);
			rtt1.setName("two");
			rtt1.setScheduler(DMScheduler.instance());
			rtt1.addToFeasibility();
			if (DMScheduler.instance().isFeasible())
			    System.out.println("FEASIBLE");
			else
			    {
				System.out.println("INFEASIBLE");
				return;
			    }
			       
			System.out.println("before start");
			rtt.start();
			System.out.println("before start");
			rtt1.start();
	       
	}
		catch (Exception e)
		{
			System.out.println(e);
		}
	}
}
