/*
 * @(#)gc_config.h	1.5 00/10/14
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

/*
 * This file includes the configuration of the mark-sweep collector
 */

#ifndef _INCLUDED_MARKSWEEP_GC_CONFIG_H
#define _INCLUDED_MARKSWEEP_GC_CONFIG_H

#include "javavm/include/gc/gc_impl.h"
#include "javavm/include/gc/marksweep/marksweep.h"

/*
 * No barriers or new object headers in this implementation
 */

/* 
 * Global state specific to GC 
 */
struct CVMGCGlobalState {
    CVMUint32  heapSize;
    CVMMsHeap* heap;
};

#endif /* _INCLUDED_MARKSWEEP_GC_CONFIG_H */
