/*
 * @(#)ExceptionThrowingOpcodesTest.java	1.2 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */
public class ExceptionThrowingOpcodesTest {

    public static void printFloat(Object arg) {
	float[] arr = (float[]) arg;
	System.out.println(arr[0]);
    }


    public static void main(String[] args) {
	int[] ints = {2, 3};
	
	System.out.println("If \"Test 1 succeeded\" is not the next output, " +
			   "the test failed.");
	try {
	    printFloat(ints);
	}
	catch (ClassCastException e) {
	    System.out.println("Test 1 succeeded");
	}

	System.out.println("If \"Test 2 succeeded\" is not the next output, " +
			   "the test failed.");
	ints = null;
	try {
	    System.out.println("ints.length = " + ints.length);
	}
	catch (NullPointerException e) {
	    System.out.println("Test 2 succeeded");
	}
    }
}
