#
# @(#)run.sh	1.1 00/07/17
#
# Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
#
# This software is the proprietary information of Sun Microsystems, Inc.
# Use is subject to license terms.
#

#!/bin/sh

echo ""
echo "------- Running RootScans --------"
echo ""

if [ -f ../RULES ]
then
        . ../RULES
else
        echo "Please Create RULES file. Look at README for info"
        exit 1
fi

CUR_DIR=$GCTEST_DIR/RootScans
LOCAL_CLASSPATH=$CUR_DIR/Class

FILES=RootScansTest

switch="-Xbootclasspath=$BOOT_CLASSPATH:$LOCAL_CLASSPATH"

COMMAND="$CDC_BUILDDIR/bin/cvm $switch"

rm -f temp

for file in $FILES
do
	echo "--------- Running $file -------------"
	echo "$COMMAND $file"
	$COMMAND $file
	echo ""
done

echo ""
