/*
 * @(#)setTime.java	1.1 00/09/13
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

import java.util.zip.*;
import java.util.Date;

/* 
 * This test is to see whether clock_settime() is configured
 * appropriately on the hard target according to the instructions
 * listed in vxworks-notes.html.
 */
public class setTime {
  private static String testString = "ZipEntryTest";

  public static void main(String argv[]) {
        ZipEntry testentry = new ZipEntry(testString);

        Date date = new Date();
        long dummytime = date.getTime();
        testentry.setTime(dummytime);
        long newtime = testentry.getTime();
        System.out.println("dummytime "+ dummytime);
        System.out.println("newtime "+ newtime);
        if (Math.abs(dummytime - newtime) > 2000) {
            System.out.println("setTime(long) error.");
            return;
        }
        System.out.println("OKAY.");
    }
}

