/*
 * @(#)VMClassFactory.java	1.4 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */
package vm;
import components.ClassInfo;
import components.ConstantPool;
import java.util.Hashtable;

public interface VMClassFactory {
    public ClassClass newVMClass( components.ClassInfo c );

    public void setTypes();

    public ConstantPool makeResolvable( ConstantPool cp, Hashtable unknownClasses );

    /*
     * Add more stuff here as we carve more out of ClassClass
     */
}
