/*
 * @(#)DirectMemTest.java	1.1 00/06/14
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

import java.util.Random;

public class DirectMemTest extends Thread {

   public static void main(String args[]) {
      Object lck = new Object();

      DMFieldRWIntTest.lock = lck;
      DMFieldRW32Test.lock = lck;
      DMFieldRW64Test.lock = lck;
      DMFieldRWLongTest.lock = lck;
      DMFieldRWFloatTest.lock = lck;
      DMFieldRWDoubleTest.lock = lck;
      //DMFieldRWRefTest.lock = lck;
      GcThread.lock = lck;

      GcThread gc = new GcThread();
      DMFieldRWIntTest test1 = new DMFieldRWIntTest();
      DMFieldRW32Test test2 = new DMFieldRW32Test();
      DMFieldRW64Test test3 = new DMFieldRW64Test();
      DMFieldRWLongTest test4 = new DMFieldRWLongTest();
      DMFieldRWFloatTest test5 = new DMFieldRWFloatTest();
      DMFieldRWDoubleTest test6 = new DMFieldRWDoubleTest();
      //DMFieldRWRefTest test7 = new DMFieldRWRefTest();

      gc.setPriority(test1.getPriority() + 1);
      gc.start();
      test1.start();
      test2.start();
      test3.start();
      test4.start();
      test5.start();
      test6.start();
      //test7.start();

      try {
         test1.join();
         test2.join();
         test3.join();
         test4.join();
         test5.join();
         test6.join();
         //test7.join();
      } catch (Exception e) {}

      gc.interrupt();
   }
}
