/*
 * @(#)JDKClassFactory.java	1.2 00/05/19
 *
 * Copyright 1994-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 */

package vm;
import Const;

public class JDKClassFactory implements VMClassFactory{
    
    public ClassClass newVMClass( ClassInfo c ){
	return new JDKClass( c );
    }

    private static boolean
    setType( String name, int value ){
	ClassInfo ci = ClassInfo.lookupClass( name );
	ClassClass cc;
	if ( (ci == null) || ( ( cc = ci.vmClass ) == null) ) return false;
	((JDKClass)cc).typeCode = value;
	return true;


    }

    public void
    setTypes(){
	setType( /*NOI18N*/"java/lang/Void", Const.T_VOID );
	setType( /*NOI18N*/"java/lang/Boolean", Const.T_BOOLEAN );
	setType( /*NOI18N*/"java/lang/Character", Const.T_CHAR );
	setType( /*NOI18N*/"java/lang/Byte", Const.T_BYTE );
	setType( /*NOI18N*/"java/lang/Short", Const.T_SHORT );
	setType( /*NOI18N*/"java/lang/Integer", Const.T_INT );
	setType( /*NOI18N*/"java/lang/Long", Const.T_LONG );
	setType( /*NOI18N*/"java/lang/Float", Const.T_FLOAT );
	setType( /*NOI18N*/"java/lang/Double", Const.T_DOUBLE );
    }
}
